Subject: Emacs crashes due to symbol lookup error to rsvg_handle_set_stylesheet

From: [email-masked]
Date: Thu, 10 Nov 2022 19:13:27 +0100 (CET)

Hi there,

I'm facing the same issue from a fresh 1.3 installation I did on a VM. 
Emacs28.2 is linked against librsvg-2.40.21 which do not provide rsvg_handle_set_stylesheet function.

altomcat@guix ~/.config$ libtree /gnu/store/jpi4h6afvkifypxjxdpgrdm4shnmavwf-emacs-28.2/bin/.emacs-28.2-real | grep rsvg
│   │   │           ┊    /gnu/store/3r3sxc1ywqs93rzj4z46p0cbdy1y1x7m-librsvg-2.40.21/lib
├── librsvg-2.so.2 [LD_LIBRARY_PATH]
│       ┊    /gnu/store/3r3sxc1ywqs93rzj4z46p0cbdy1y1x7m-librsvg-2.40.21/lib
│       ┊    /gnu/store/3r3sxc1ywqs93rzj4z46p0cbdy1y1x7m-librsvg-2.40.21/lib
Error [/gnu/store/jpi4h6afvkifypxjxdpgrdm4shnmavwf-emacs-28.2/bin/.emacs-28.2-real]: Not all dependencies were found

altomcat@guix ~/.config$ echo $LD_LIBRARY_PATH
/gnu/store/piln05qmyhyiqb3ggn2hvz1wagzvd8mc-gdk-pixbuf+svg-2.40.0/lib:/gnu/store/cydnixdcrvlizpcz3jkas5vpgd2dmd5z-gnome-bluetooth-3.34.2/lib:/gnu/store/3r3sxc1ywqs93rzj4z46p0cbdy1y1x7m-librsvg-2.40.21/lib:/gnu/store/8902rzyhkzs30c8z9xjkmmdrh2dq1ha7-libgweather-3.34.0/lib

Emacs runs well if I insert the path of librsvg-2.50.7 to LD_LIBRARY_PATH as follow

export  LD_LIBRARY_PATH=/gnu/store/34yxh2p22yaiisb1ayp43ig06hdlj0wg-librsvg-2.50.7/lib:$LD_LIBRARY_PATH

I checked the package definition with `guix edit emacs`
...
           ;; When looking for libpng `configure' links with `-lpng -lz', so we
           ;; must also provide zlib as an input.
           libpng
           zlib
           (if (target-x86-64?)
               librsvg-bootstrap
               librsvg-2.40) => need to be change ?
           libxpm
           libxml2
...

I'm a newbie and I hope these details can help. I would appreciate a little help to go further and solve this issue.
Thanks.